<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Moja strona WWW</title>
  </head>
  <body>
    <?php
      $dsn = "mysql:host=localhost;dbname=testphp";
      $uzytkownik = "php";
      $haslo = "test";
      
      try{
        $dbo = new PDO($dsn, $uzytkownik, $haslo);
      }
      catch (PDOException $e){
        echo 'Błąd połączenia: ' . $e->getMessage();
        echo '</body></html>';
        exit;
      }

      $query = "SELECT * FROM osoba";
      $result = $dbo->query($query);

      if(!$result){
        echo "Nie mogę wykonać zapytania.";
        echo '</body></html>';
        exit;
      }
    ?>
    <table>
    <tr>
      <td>Id</td><td>Imię</td><td>Nazwisko</td>
      <td>Rok urodzenia</td><td>Miejsce urodzenia</td>
    </tr>
    <?php
      $arr = $result->fetchAll(PDO::FETCH_ASSOC);
      foreach($arr as $row){
        echo "<tr>";
        echo "<td>{$row['Id']}</td>";
        echo "<td>{$row['Imie']}</td>";
        echo "<td>{$row['Nazwisko']}</td>";
        echo "<td>{$row['Rok_urodzenia']}</td>";
        echo "<td>{$row['Miejsce_urodzenia']}</td>";
        echo "</tr>";
      }
      $dbo = null;
    ?>
    </table>
  </body>
</html>
